Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SchemeNode Class Reference
[Parsers]

## Detailed Description

Scheme node.

## Public Member Functions
| SchemeNode ()
## Data Fields
SchemeNodeType | type
String * | schemeName
SchemeImpl * | scheme
VirtualEntryVector | virtualEntryVector
KeywordList * | kwList
CharacterClass * | worddiv
const Region * | region
const Region * | regions [REGIONS_NUM]
const Region * | regionsn [NAMED_REGIONS_NUM]
const Region * | regione [REGIONS_NUM]
const Region * | regionen [NAMED_REGIONS_NUM]
CRegExp * | start
CRegExp * | end
bool | innerRegion
bool | lowPriority
bool | lowContentPriority

## Constructor & Destructor Documentation

SchemeNode::SchemeNode | ( |  | ) |

| !regions cleanup

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.